# class Router | Call routing thread. More...
Full name | `TelEngine::Router`
Definition | `#include <yatephone.h>`
Inherits | TelEngine::Thread [public ]
List of all Methods
Annotated List
Files
Globals
Hierarchy
Index

#### Public Methods

- Router (Driver* driver, const char* id, Message* msg)
- virtual void run ()
- virtual bool route ()
- virtual void cleanup ()

#### Protected Methods

- const String& id () const

## Detailed Description

Asynchronous call routing thread

Router (Driver* driver, const char* id, Message* msg) | ### Router

Constructor - creates a new routing thread

Parameters:

driver | Pointer to the driver that asked for routing
id | Unique identifier of the channel being routed
msg | Pointer to an already filled message

void run () | ### run

[virtual]

Main thread running method

Reimplemented from Runnable.

bool route () | ### route

[virtual]

Actual routing method

Returns: True if call was successfully routed

void cleanup () | ### cleanup

[virtual]

Thread cleanup handler

Reimplemented from Thread.

const String& id () | ### id

[protected const]

Get the routed channel identifier

Returns: Unique id of the channel being routed

Generated by: paulc on bussard on Mon Feb 10 13:15:47 2014, using kdoc 2.0a54.